// CHECKSTYLE:OFF
/**
 * Source code generated by Fluent Builders Generator
 * Do not modify this file
 * See generator home page at: http://code.google.com/p/fluent-builders-generator-eclipse-plugin/
 */

package nl.krocket.ocr.core.model.builders;

import java.util.Date;
import nl.krocket.ocr.core.model.UserInfo;

public class UserInfoBuilder extends UserInfoBuilderBase<UserInfoBuilder> {
	public static UserInfoBuilder userInfo() {
		return new UserInfoBuilder();
	}

	public UserInfoBuilder() {
		super(new UserInfo());
	}

	public UserInfo build() {
		return getInstance();
	}
}

class UserInfoBuilderBase<GeneratorT extends UserInfoBuilderBase<GeneratorT>> {
	private UserInfo instance;

	protected UserInfoBuilderBase(UserInfo aInstance) {
		instance = aInstance;
	}

	protected UserInfo getInstance() {
		return instance;
	}

	@SuppressWarnings("unchecked")
	public GeneratorT withUserId(Long aValue) {
		instance.setUserId(aValue);

		return (GeneratorT) this;
	}

	@SuppressWarnings("unchecked")
	public GeneratorT withUserName(String aValue) {
		instance.setUserName(aValue);

		return (GeneratorT) this;
	}

	@SuppressWarnings("unchecked")
	public GeneratorT withPassword(String aValue) {
		instance.setPassword(aValue);

		return (GeneratorT) this;
	}

	@SuppressWarnings("unchecked")
	public GeneratorT withRole(String aValue) {
		instance.setRole(aValue);

		return (GeneratorT) this;
	}

	@SuppressWarnings("unchecked")
	public GeneratorT withCreationDate(Date aValue) {
		instance.setCreationDate(aValue);

		return (GeneratorT) this;
	}

	@SuppressWarnings("unchecked")
	public GeneratorT withLastLogin(Date aValue) {
		instance.setLastLogin(aValue);

		return (GeneratorT) this;
	}
}
